-- EmployeeContactInheritance.Contact
CREATE TABLE [contact] (
    [typ] int NOT NULL,                     -- _type
    [nme] varchar(255) NULL,                -- _name
    [contact_id] int IDENTITY NOT NULL,     -- _contactId
    [voa_class] int NOT NULL,               -- <internal-class-id>
    CONSTRAINT [pk_contact] PRIMARY KEY ([contact_id])
)
go

-- EmployeeContactInheritance.Employee
CREATE TABLE [employee] (
    [contact_id] int NOT NULL,
    [phone] varchar(255) NULL,              -- Employee._phone
    CONSTRAINT [pk_employee] PRIMARY KEY ([contact_id])
)
go

ALTER TABLE [employee] ADD CONSTRAINT [ref_employee_contact] FOREIGN KEY ([contact_id]) REFERENCES [contact]([contact_id])
go

